View Issue Details

IDProjectCategoryView StatusLast Update
0001494Far ManagerEditorpublic2012-11-29 10:53
ReportermaxflAssigned To2useven10 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version 
Target VersionFixed in Version3.0 
Summary0001494: Вылет при последовательном закрытии и открытии редактора из плагина.
DescriptionФар вылетает при последовательном выполнении команд:
Info.EditorControl(ECTL_QUIT, NULL);
Info.Editor(L"foo",NULL,0,0,-1,-1,EF_NONMODAL| EF_IMMEDIATERETURN,1,1,0);

Плагин прилагается.
TagsNo tags attached.
Build2980

Activities

maxfl

2010-09-08 11:50

reporter  

farbug2.7z (3,010 bytes)

shmuel

2010-09-08 13:28

developer   bugnote:0005750

Следует уточнить, что вылет происходит при выполнении данных команд в экспортируемой функции ProcessEditorEventW.

shmuel

2012-11-24 14:31

developer  

farbug3.7z (4,188 bytes)

shmuel

2012-11-24 14:34

developer   bugnote:0009759

Проверил, не изменилось ли что-то с тех пор - оказалось, что нет, Фар 3.0.2972 также падает при данных обстоятельствах.
Приложена версия тестового плагина для Фар 3.

2useven10

2012-11-29 02:59

developer   bugnote:0009768

2980

Issue History

Date Modified Username Field Change
2010-09-08 11:50 maxfl New Issue
2010-09-08 11:50 maxfl File Added: farbug2.7z
2010-09-08 13:28 shmuel Note Added: 0005750
2012-11-24 14:31 shmuel File Added: farbug3.7z
2012-11-24 14:34 shmuel Note Added: 0009759
2012-11-29 02:59 2useven10 Note Added: 0009768
2012-11-29 02:59 2useven10 Assigned To => 2useven10
2012-11-29 02:59 2useven10 Status new => feedback
2012-11-29 10:51 shmuel Status feedback => resolved
2012-11-29 10:53 shmuel Build => 2980
2012-11-29 10:53 shmuel Status resolved => closed
2012-11-29 10:53 shmuel Resolution open => fixed
2012-11-29 10:53 shmuel Fixed in Version => 3.0